package com.keao.edu.user.dto;

import io.swagger.annotations.ApiModelProperty;

public class ExamCertificationDto{

    @ApiModelProperty(value = "报名编号")
    private Long examRegistrationId;

    @ApiModelProperty(value = "准考证号")
    private String cardNo;

    @ApiModelProperty(value = "姓名")
    private String realName;

    @ApiModelProperty(value = "性别")
    private Integer gender;

    @ApiModelProperty(value = "科目")
    private String subjectName;

    @ApiModelProperty(value = "科目")
    private Integer subjectId;

    @ApiModelProperty(value = "学员编号")
    private Integer studentId;

    @ApiModelProperty(value = "学员确认状态")
    private Integer confirmStatus;

    @ApiModelProperty(value = "级别")
    private Integer level;

    @ApiModelProperty(value = "考试时间")
    private String examTime;

    @ApiModelProperty(value = "考试地点")
    private String examAddress;

    @ApiModelProperty(value = "证件照")
    private String certificatePhoto;

    @ApiModelProperty(value = "考试内容")
    private String songJson;

    public Integer getConfirmStatus() {
        return confirmStatus;
    }

    public void setConfirmStatus(Integer confirmStatus) {
        this.confirmStatus = confirmStatus;
    }

    public Integer getStudentId() {
        return studentId;
    }

    public void setStudentId(Integer studentId) {
        this.studentId = studentId;
    }

    public String getSongJson() {
        return songJson;
    }

    public void setSongJson(String songJson) {
        this.songJson = songJson;
    }

    public String getCertificatePhoto() {
        return certificatePhoto;
    }

    public void setCertificatePhoto(String certificatePhoto) {
        this.certificatePhoto = certificatePhoto;
    }

    public Integer getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Integer subjectId) {
        this.subjectId = subjectId;
    }

    public Long getExamRegistrationId() {
        return examRegistrationId;
    }

    public void setExamRegistrationId(Long examRegistrationId) {
        this.examRegistrationId = examRegistrationId;
    }

    public String getCardNo() {
        return cardNo;
    }

    public void setCardNo(String cardNo) {
        this.cardNo = cardNo;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getLevel() {
        return level;
    }

    public void setLevel(Integer level) {
        this.level = level;
    }

    public String getExamTime() {
        return examTime;
    }

    public void setExamTime(String examTime) {
        this.examTime = examTime;
    }

    public String getExamAddress() {
        return examAddress;
    }

    public void setExamAddress(String examAddress) {
        this.examAddress = examAddress;
    }
}
